Subject: bug#20255: 'search-paths' should respect both user and system profile.

From: 宋文武 <[email-masked]>
Date: Wed, 17 May 2023 22:12:19 +0800

Maxim Cournoyer <[email-masked]> writes:

> Hi,
>
> 宋文武 <[email-masked]> writes:
>
>> Hello, commit 40310efde9b4a4f2cf98081d6cd10f843685ebb6 fix this by merge
>> search-paths from multiple profiles by `guix package --search-paths`, in
>> ~/.bashrc and ~/.zprofile (skeletons, so existed systems need manual
>> update).  
>>
>>
>> Close now!

Well, I reopen this since the changes is not totaly (duplicates in
/etc/profile, guix home changes) done, sorry...

>
> Cool, thanks for the update.  Perhaps a NEWS entry would be useful to
> keep Guix System existing users in the loop?  Until we have a better
> mechanism/approach to these stateful files that don't change past the
> original installation.

Now, I send more patches with NEWS entry.

Add guix-devel to CC for more reviews, TIA!